> For the complete documentation index, see [llms.txt](https://docs.hex-rays.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hex-rays.com/9.0/user-guide/disassembler/disassembly-gallery/power-pc-linux-elf.md).

# Power PC Linux ELF

Assembler code

```
.text:01802348
.text:01802348 # =============== S U B R O U T I N E =======================================
.text:01802348
.text:01802348 # Attributes: noreturn
.text:01802348
.text:01802348 sub_1802348:                            # CODE XREF: sub_1802F9C:def_18030F4↓p
.text:01802348                                         # sub_1802F9C+2F4↓p
.text:01802348
.text:01802348 .set back_chain, -0x10
.text:01802348 .set var_8, -8
.text:01802348 .set var_4, -4
.text:01802348 .set sender_lr,  4
.text:01802348
.text:01802348                 stwu      r1, back_chain(r1)
.text:0180234C                 mflr      r0
.text:01802350                 stw       r30, 0x10+var_8(r1)
.text:01802354                 stw       r31, 0x10+var_4(r1)
.text:01802358                 stw       r0, 0x10+sender_lr(r1)
.text:0180235C                 bl        loc_1802360
.text:01802360
.text:01802360 loc_1802360:                            # DATA XREF: .text:off_1802344↑o
.text:01802360                 mflr      r30
.text:01802364                 lwz       r0, (off_1802344 - loc_1802360)(r30)
.text:01802368                 add       r30, r0, r30
.text:0180236C                 lwz       r3, (off_185CF04 - 0x1864F00)(r30) # _IO_stderr_ # stream
.text:01802370                 lwz       r9, (off_185CF00 - 0x1864F00)(r30) # off_185DE7C
.text:01802374                 lwz       r4, (off_185CF08 - 0x1864F00)(r30) # "Usage: %s [-panyrcdfvstFSV] [-b superbl"...
.text:01802378                 lwz       r5, (off_185DE7C - 0x185DE7C)(r9) # "e2fsck"
.text:0180237C                 bl        .fprintf
.text:01802380                 li        r3, 0x10      # status
.text:01802384                 bl        .exit
.text:01802384 # End of function sub_1802348
.text:01802384
.text:01802384 # ---------------------------------------------------------------------------
.text:01802388 off_1802388:    .long off_185CF00+0x8000 - loc_18023B0
.text:01802388                                         # DATA XREF: sub_180238C+28↓r
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.hex-rays.com/9.0/user-guide/disassembler/disassembly-gallery/power-pc-linux-elf.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
